Bug 1142528 - open ceph ports on HA controller
Summary: open ceph ports on HA controller
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Crag Wolfe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-17 01:04 UTC by Crag Wolfe
Modified: 2014-11-04 17:02 UTC (History)
5 users (show)

Fixed In Version: openstack-foreman-installer-2.0.29-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, the firewall deployed by the RHEL-OSP installer on the HA controllers blocked Ceph monitor traffic, and any existing Ceph cluster would fail to maintain quorum after the HA Controller was deployed. With this update, the HA controller puppet manifests open up the port 6789 if using Ceph as a backend, and any pre-existing Ceph cluster continues to operate after the HA controller is deployed.
Clone Of:
Environment:
Last Closed: 2014-11-04 17:02:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Crag Wolfe 2014-09-17 01:04:44 UTC
After running puppet on HA controllers where a ceph cluster was already installed, the following issues occur:

# ceph -s
2014-09-16 08:19:00.842695 7f41084ef700  0 -- :/1025773 >> 192.168.7.62:6789/0 pipe(0x7f4104024400 sd=3 :0 s=1 pgs=0 cs=0 l=1 c=0x7f4104024670).fault
*and*
# rados -p images ls
<nothing>
simply hangs

The issues go away when the firewall is made less restrictive.

Comment 7 Leonid Natapov 2014-11-03 12:05:22 UTC
openstack-foreman-installer-2.0.31-1.el6ost

[root@macf04da2732fb1 ~]# iptables -nL | grep 6789
ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0            multiport dports 6789 /* 001 ceph mon incoming */

Comment 9 errata-xmlrpc 2014-11-04 17:02:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.